---
title: "Retrieve class enrollment information by class id and user id"
slug: "retrieve-class-enrollment-information-by-class-id-and-user-id"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
canonical: "docs.skillable.com/retrieve-class-enrollment-information-by-class-id-and-user-id"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve class enrollment information by class id and user id

Get/GetClassEnrollmentByClassAndUser

Allows you to get information about a class enrollment by providing class and user identifiers.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Query parametersclassIdinteger (int32) Required

The class ID of the enrollment

Example445632
userIdinteger (int32) Required

The user ID of the enrollment

Example67856

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='0f8cef74-2bcc-4999-bb1f-8182c25fea93'>application/json</option>
</select>Expand Allobject  Statusinteger  (int32)    

Indicates the status of the API request.

0 = Success 10 = Error 20 = Not found 30 = Invalid integration key

Example10
Errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).

Results Array of object (ClassEnrollment)   

See ClassEnrollment

object  Idinteger  (int32)    

The class enrollment's unique identifier

Example10
ExternalIdstring   | null  

The class enrollment's external ID, usually a unique identifier from the calling system

ExampleE3G5YZFREFEQ9371
UserIdinteger  (int32)    

The Id of the related user

Example897615
ClassIdinteger  (int32)    

The Id of the related class

Example4421
EnrollmentStatusIdinteger  (int32)    

Indicates the status of the class enrollment

- 0 = Request
- 10 = Cancel
- 20 = Waitlist
- 30 = Approve
- 40 = Deny
- 50 = Audit
- 60 = Enroll

Example60
CompletionStatusIdinteger  (int32)    

Indicates the completion status of the class enrollment

- 0 = Unknown
- 10 = Attending
- 20 = Complete
- 30 = Incomplete
- 40 = NoShow
- 50 = Failed

Example0
LateCancelboolean    

Indicates if the class enrollment was cancelled outside the late cancellation window.

Examplefalse
Retakeboolean    

Indicates if the class enrollment is a retake.

Examplefalse
LocationTypeIdinteger  (int32)   | null  

Indicates the location type that the student is assigned to attend the class

- 0 = To Be Determined
- 10 = Classroom
- 20 = Remote Classroom
- 30 = Virtual

Example0
ClassroomIdinteger  (int32)   | null  

The ID of the classroom (if any) in which the student is assigned to attend the class.

Example3456
HoursSpentinteger  (int32)   | null  

The hours spent by the student in the class enrollment.

Example20
Gradeinteger  (int32)   | null  

The grade the student received for the class enrollment.

Example10
CustomFields Array of object   

Custom Fields that have values for the user

Example[
  {
    "Name": "Unique Text",
    "TextValue": "AXY12345",
    "CustomFieldId": 5089
  },
  {
    "Name": "Unique Number",
    "TextValue": "44",
    "CustomFieldId": 5090
  },
  {
    "Name": "Dropdown-01",
    "TextValue": "Second Choice",
    "CustomFieldId": 5087
  }
]object  Namestring    

The name that is given to this custom field

TextValuestring    

The text value for this field can be updated using the /UpdateClassEnrollmentCustomFieldValue API endpoint.

CustomFieldIdinteger  (int32)    

The Custom Field's system generated unique id.
